/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";



@import './styles/eywa-base';
@import '@angular/material/theming';
@include mat-core();

// ------------------------------------------------------------------------------------------
// @ Brand colors & color maps
// ------------------------------------------------------------------------------------------

$e-blue: (
  100: #f6f7f9,
  200: #eaedf1,
  250: #edf4f9,
  300: #dae1e7,
  400: #498ac6,
  500: #3b82f6,
  600: #3f425b,
  650: #244e75,
  700: #1b3a57,
  800: #272938,
  900: #1f212c,
);

$e-grey: (
  600: rgba(0, 0, 0, 0.6),
  700: rgba(0, 0, 0, 0.67),
  800: rgba(0, 0, 0, 0.87),
);

$e-white: #fff;

// ------------------------------------------------------------------------------------------
// @ Brand theme
// ------------------------------------------------------------------------------------------

$e-mp-theme1-primary-mat-palette: mat-palette($mat-pink, A200, A100, A400);
$e-mp-theme1-accent-mat-palette: mat-palette($mat-amber, A200, A100, A400);
$e-mp-theme1-warn-mat-palette: mat-palette($mat-red, A400);

$e-mp-theme1: mat-light-theme((color: (primary: $e-mp-theme1-primary-mat-palette,
        accent: $e-mp-theme1-accent-mat-palette,
        warn: $e-mp-theme1-warn-mat-palette,
      ),
    ));

@include angular-material-theme($e-mp-theme1);

// ------------------------------------------------------------------------------------------
// @ Brand typography
// ------------------------------------------------------------------------------------------

$e-mp-typography: mat-typography-config($font-family: 'Muli, Helvetica Neue, Arial, sans-serif',
  );

@include angular-material-typography($e-mp-typography);

// ------------------------------------------------------------------------------------------
// Angular Material custom CSS styles
// ------------------------------------------------------------------------------------------

body.e-mp-theme1 {

  input::-webkit-outer-spin-button,
  input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  input[type='number'] {
    -moz-appearance: textfield;
  }

  color: map-get($e-blue, 900);

  router-outlet+.e-init {
    background-color: mat-color($mat-grey, 50);
    display: flex;
  }

  .e-init {
    display: none;
  }

  ion-toolbar {
    --border-style: none;
  }

  mat-sidenav-container.e-mat-side-nav {
    height: 100%;
    min-height: 100vh;
    width: 100vw;
  }

  mat-sidenav-content.e-mat-sidenav-content {
    background-color: map-get($e-blue, 100);
  }

  mat-dialog-container {
    color: map-get($e-blue, 900);
    -ms-overflow-style: none;
    scrollbar-width: none;
  }

  .mat-dialog-container::-webkit-scrollbar {
    display: none;
  }

  mat-horizontal-stepper.e-mat-stepper {
    .mat-step-header {
      font-size: 12px;
    }

    .mat-step-label,
    .mat-step-label-selected {
      font-size: 12px;
    }

    .mat-step-icon {
      height: 20px;
      width: 20px;
    }

    .mat-step-icon .mat-icon {
      font-size: 12px;
      height: 12px;
      width: 12px;
    }

    &--w40p {
      .mat-horizontal-stepper-header-container {
        margin: 0 auto;
        width: 40%;
      }
    }
  }

  mat-toolbar.e-mat-toolbar {
    background-color: mat-color($mat-grey, 100);
    border-bottom: 1px solid map-get($e-blue, 300);
    display: flex;
    height: 52px;
    padding: 10px 16px;
    width: 100%;
  }

  mat-form-field.e-mat-form-field {
    font-size: 14px;

    .mat-form-field-flex {
      padding-top: 0;
    }

    .mat-input-element {
      color: map-get($e-blue, 800);
    }

    .mat-form-field-label {
      color: map-get($e-grey, 700);
    }

    .mat-form-field-prefix .mat-icon,
    .mat-form-field-suffix .mat-icon {
      color: map-get($e-grey, 700);
      font-size: 18px;
      height: 1em;
      line-height: 1;
      min-height: 1em;
      min-width: 1em;
      width: 1em;
    }

    &--1 {
      font-size: 12px;

      .mat-input-element {
        color: map-get($e-blue, 900);
      }

      .mat-form-field-label {
        color: map-get($e-grey, 800);
      }

      .mat-form-field-prefix .mat-icon,
      .mat-form-field-suffix .mat-icon {
        color: map-get($e-grey, 700);
        font-size: 16px;
        height: 1em;
        line-height: 1;
        min-height: 1em;
        min-width: 1em;
        width: 1em;
      }
    }

    &--2 {
      width: 140px;
    }

    &--full-width {
      width: 100% !important;
    }
  }

  mat-icon.e-mat-icon {
    height: 1em;
    line-height: 1;
    min-height: 1em;
    min-width: 1em;
    width: 1em;

    &--1 {
      font-size: 22px;
    }

    &--2 {
      font-size: 20px;
    }

    &--3 {
      font-size: 18px;
    }

    &--4 {
      font-size: 16px;
    }

    &--5 {
      font-size: 14px;
    }

    &--6 {
      font-size: 12px;
    }

    &--eblue800 {
      color: map-get($e-blue, 800);
    }

    &--success {
      color: mat-color($mat-light-green, 800);
    }

    &--warn {
      color: mat-color($mat-orange, A400);
    }

    &--error {
      color: mat-color($mat-red, A400);
    }

    &--matgrey500 {
      color: mat-color($mat-grey, 500);
    }
  }

  mat-radio-group.e-mat-radio-group {
    font-size: 12px;
  }

  mat-datepicker-toggle.e-mat-datepicker {
    .mat-icon-button {
      font-size: 12px !important;
    }
  }

  mat-checkbox.e-mat-checkbox {
    font-size: 12px;

    .mat-checkbox-label {
      white-space: normal;
    }
  }

  .mat-menu-item .mat-icon {
    margin-right: 8px;
  }


  // Verified -
  mat-tab-group.e-mat-tab-group {
    .mat-tab-header .mat-tab-label-container .mat-tab-labels {
      justify-content: center !important;
    }

    &--1 {
      .mat-tab-body-wrapper {
        flex-grow: 1;
      }

      .mat-tab-body-content {
        -ms-overflow-style: none;
        scrollbar-width: none;
      }

      .mat-tab-body-content::-webkit-scrollbar {
        display: none;
      }
    }

    &--bottom-border-none {
      .mat-tab-header {
        border-bottom: none;
      }

      .mat-tab-header-pagination-controls-enabled .mat-tab-header-pagination {
        display: none;
      }

      .mat-tab-body-content::-webkit-scrollbar {
        display: none;
      }
    }
  }

  // Verified -
  // mat-tab-group.e-mat-tab-group {
  //   .mat-tab-header .mat-tab-label-container .mat-tab-labels {
  //     justify-content: center !important;
  //   }

  //   &--1 {

  //     &--bottom-border-none {
  //       .mat-tab-header {
  //         border-bottom: none;
  //       }

  //     }

  //     .mat-tab-body-wrapper {
  //       flex-grow: 1;
  //     }

  //     .mat-tab-body-content {
  //       -ms-overflow-style: none;
  //       scrollbar-width: none;
  //     }

  //     .mat-tab-body-content::-webkit-scrollbar {
  //       display: none;
  //     }

  //     .mat-tab-header-pagination-controls-enabled .mat-tab-header-pagination {
  //       display: none;
  //     }
  //   }
  // }

  // Verified -
  mat-divider.e-mat-divider {
    border-top-color: map-get($e-blue, 300);
  }

  mat-accordion.e-mat-accordion {
    .mat-expansion-panel:not([class*='mat-elevation-z']) {
      border-left: 1px solid map-get($e-blue, 300);
      border-right: 1px solid map-get($e-blue, 300);
      border-top: 1px solid map-get($e-blue, 300);
      box-shadow: unset;
    }

    .mat-expansion-panel:last-child {
      border-bottom: 1px solid map-get($e-blue, 300);
    }

    .mat-expansion-panel.mat-expanded {
      border-bottom: 1px solid map-get($e-blue, 300);

      .mat-expansion-panel-header {
        border-bottom: 1px solid map-get($e-blue, 300);
        border-radius: unset;
      }
    }
  }

  button.e-mat-button {
    &--eblue400 {
      background-color: map-get($e-blue, 400) !important;
      color: $e-white !important;
    }

    &--matgrey500 {
      background-color: mat-color($mat-grey, 500);
      color: $e-white;
    }

    &--small.mat-icon-button {
      height: 32px;
      line-height: 32px;
      width: 32px;
    }

    &--matamber700.mat-icon-button {
      color: mat-color($mat-amber, 700);
    }

    &--success {
      background-color: mat-color($mat-green, 800);
      color: $e-white;
    }

    &--error {
      background-color: mat-color($mat-red, A200);
      color: $e-white;
    }
  }

  button.e-mat-fab-button {
    background-color: map-get($e-blue, 400) !important;
    color: $e-white !important;
    height: 28px;
    width: 28px;

    &.mat-mini-fab .mat-button-wrapper {
      line-height: unset;
      padding: unset;
    }

    &.mat-mini-fab {
      line-height: unset;
    }
  }

  button.e-mat-icon-button {
    line-height: 1;
  }

  // Verified -
  .e-snackbar {
    .mat-simple-snackbar {
      font-size: 14px;
    }

    &--error {
      background-color: mat-color($mat-red, A400);
      color: $e-white;

      .mat-simple-snackbar-action .mat-button {
        color: $e-white;
      }
    }

    &--info {
      background-color: mat-color($mat-blue, A200);
      color: $e-white;

      .mat-simple-snackbar-action .mat-button {
        color: $e-white;
      }
    }

    &--success {
      background-color: mat-color($mat-green, A700);
      color: $e-white;

      .mat-simple-snackbar-action .mat-button {
        color: $e-white;
      }
    }

    &--notif {
      background-color: mat-color($mat-amber, 300);
      color: mat-color($mat-grey, 900);

      .mat-simple-snackbar-action .mat-button {
        color: mat-color($mat-grey, 900);
        margin-left: 12px;
      }
    }

    &--warn {
      background-color: mat-color($mat-orange, A400);
      color: $e-white;

      .mat-simple-snackbar-action .mat-button {
        color: $e-white;
      }
    }
  }

  mat-button-toggle-group.e-mat-button-toggle {
    .mat-button-toggle-appearance-standard .mat-button-toggle-label-content {
      line-height: 2em !important;
    }
  }

  mat-datepicker-toggle.e-mat-datepicker {
    .mat-icon-button {
      font-size: 12px !important;
    }
  }

  i {
    font-size: unset;
  }
}

// ------------------------------------------------------------------------------------------
// @ Eywa's custom CSS styles
// ------------------------------------------------------------------------------------------

.e-content-blk {
  height: calc(100vh - 52px);
  width: calc(100vw - 226px);
}

.e-spinner {
  // margin: 16px auto 16px auto;
  // max-width: 30px;
  // min-width: 30px;
  display: flex;
  justify-content: center;
  margin-top: 16px;

  &--1 {
    // margin: 12px auto 12px auto;
    // max-width: 24px;
    // min-width: 24px;
    margin-top: 12px;
  }

  &--2 {
    // margin: 8px auto 8px auto;
    // max-width: 20px;
    // min-width: 20px;
    margin-top: 8px;
  }

  &--3 {
    margin-top: 0;
  }

  &--center {
    align-items: center;
    margin-top: 0;
  }

  // Verified
  // ToDo: Delete from all HTML files
  &--h100p {
    height: calc(100vh - 52px);
  }

  &--full-screen {
    height: 100vh;
    max-width: unset;
    width: 100vw;
  }
}

.e-side-nav {
  background-color: map-get($e-blue, 800);
  color: mat-color($mat-grey, 200);
  height: 100vh;
  position: relative;
  width: 225px;

  &__logo {
    background-color: map-get($e-blue, 900);
    border-bottom: 1px solid map-get($e-blue, 600);
    width: 100%;
  }

  &__container {
    margin-top: 2em;
    width: 100%;
  }

  &__profile {
    margin-top: 2em;
  }

  &__menu-item {
    cursor: pointer;
    font-size: 14px;
    padding-left: 2em;
    width: 100%;

    &:nth-child(n + 2) {
      margin-top: 1.5em;
    }

    &.e-active .e-menu-item__arrow {
      display: inline !important;
    }
  }

  &__footer {
    bottom: 1em;
    left: 0;
    position: absolute;
    right: 0;
  }

  &__package {
    border: 1px solid map-get($e-blue, 600);
    bottom: 5em;
    font-size: 12px;
    left: 10%;
    line-height: 1.3em;
    margin-top: 1em;
    padding: 8px;
    position: absolute;
    right: 10%;
    text-align: center;
  }

  &__chat {
    bottom: 2em;
    font-size: 12px;
    left: 10%;
    position: absolute;
    right: 10%;
    text-align: center;
  }
}

.e-logo {
  background-color: $e-white;
  border-radius: 5px;
  line-height: 1;
  margin: 2em auto;
  padding: 0.75em 1.25em;
  max-width: 90px;
}

.e-menu-item {
  position: relative;

  &__txt {
    font-size: 12px;
    padding: 0 0.75em;
  }

  &__icon.mat-icon {
    font-size: 18px;
    height: 1em !important;
    min-height: 1em;
    min-width: 1em;
    width: 1em !important;
  }

  &__arrow {
    display: none !important;
  }

  &__pro:after {
    // bottom: 0.5em;
    // color: #69c;
    // content: 'PRO';
    // font-size: 8px;
    // padding-left: 0.75em;
    // position: absolute;
    bottom: 0.5em;
    color: #69c;
    content: "PRO";
    font-size: 10px;
  }
}

.e-profile {
  &__icon {
    background-color: mat-color($mat-grey, 400);
    border-radius: 50%;
    height: 44px;
    width: 44px;
  }

  &__name {
    font-size: 12px;
    margin-top: 0.75em;
    text-align: center;
  }
}

.e-banner {
  background-color: mat-color($mat-blue, 200);
  border: 1px solid mat-color($mat-blue, 500);
  border-radius: 4px;
  color: mat-color($mat-blue, 900);
}

.e-btn {
  line-height: inherit;
}

.e-card {
  background-color: $e-white;
  border-color: mat-color($e-blue, 300);
  border-style: solid;
  border-width: 1px;
  border-radius: 4px;

  &__header {
    align-items: center;
    border-bottom: 1px solid mat-color($e-blue, 300);
    display: flex;
    padding: 1em;
  }

  &__content {
    padding: 1em;
  }

  &--appt {
    font-size: 13px;
    margin-left: 16px;
    padding: 8px 0;
    text-align: center;
    width: 144px;

    &:nth-child(3n + 1) {
      margin-left: 0;
    }

    &:nth-child(n + 4) {
      margin-top: 16px;
    }
  }

  &--appt2 {
    font-size: 13px;
    margin-left: 12px;
    margin-top: 12px;
    padding: 8px 0;
    text-align: center;
    width: 144px;

    &:nth-child(3n + 1) {
      margin-left: 0;
    }
  }

  &--notif {
    background-color: map-get($e-blue, 100);
    border-radius: 8px;
    font-size: 12px;
  }

  &--notif &__content {
    padding: 12px;
    border-right: 1px solid map-get($e-blue, 300);
  }

  &--shadow {
    border: unset;
    -webkit-box-shadow: 0px 0px 5px 0px mat-color($mat-blue-grey, 200) !important;
    -moz-box-shadow: 0px 0px 5px 0px mat-color($mat-blue-grey, 200) !important;
    box-shadow: 0px 0px 5px 0px mat-color($mat-blue-grey, 200) !important;
  }

  &--bg-eblue100 {
    background-color: map-get($e-blue, 100);
  }

  &--round1 {
    border-radius: 8px;
  }

  &--hover1:hover {
    background-color: mat-color($e-blue, 300);
    cursor: pointer;
  }

  &--hover2:hover {
    background-color: mat-color($e-blue, 200);
    cursor: pointer;
  }
}

// Verified & Treasure
.e-card2 {
  background-color: $e-white;
  border-color: mat-color($e-blue, 300);
  border-style: solid;
  border-width: 1.6px;
  border-radius: 4px;
  display: flex;
  flex-direction: column;

  &__header {
    align-items: center;
    border-bottom: 1px solid mat-color($e-blue, 300);
    display: flex;
    flex: 0 0 auto;
    padding: 1em;
  }

  // Use only if you need a single container below the header
  &__content {
    flex: 1 0;
    overflow-y: scroll;
    padding: 1em;
    -ms-overflow-style: none;
    scrollbar-width: none;
  }

  &__item {
    flex: 0 0 auto;
  }

  &__item-grow {
    flex: 1 0;
    overflow-y: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
  }

  &__item-grow-hide {
    flex: 1 0;
    overflow-y: hidden;
  }

  &--bg-eblue100 {
    background-color: map-get($e-blue, 100);
  }

  &--shadow {
    border: unset;
    -webkit-box-shadow: 0px 0px 5px 0px mat-color($mat-blue-grey, 200) !important;
    -moz-box-shadow: 0px 0px 5px 0px mat-color($mat-blue-grey, 200) !important;
    box-shadow: 0px 0px 5px 0px mat-color($mat-blue-grey, 200) !important;
  }

  &--round1 {
    border-radius: 8px;
  }

  &--appt2 {
    font-size: 12px;
    margin-left: 6px;
    margin-top: 12px;
    padding: 8px 0;
    text-align: center;
    width: 140px;

    &:nth-child(3n + 1) {
      margin-left: 0;
    }
  }

  &--hover1:hover {
    background-color: mat-color($e-blue, 300);
    cursor: pointer;
  }

  &--hover2:hover {
    background-color: mat-color($e-blue, 200);
    cursor: pointer;
  }
}

.e-avatar {
  background-color: mat-color($mat-grey, 300);
  border-radius: 50%;
  color: mat-color($mat-grey, 600);
  height: 50px;
  position: relative;
  width: 50px;

  img {
    border-radius: 50%;
    place-content: center;
  }

  &--small {
    height: 30px;
    width: 30px;
  }

  &--medium {
    height: 36px;
    width: 36px;
  }

  &--square {
    border-radius: 6px;
  }

  &--border {
    border: 1px solid #ff9100;
  }
}

.e-title {
  align-items: center;
  background-color: map-get($e-blue, 250);
  color: map-get($e-blue, 800);
  display: flex;
  font-size: 14px;
  padding: 5px;
  // font-weight: 600;
  letter-spacing: 0.05em;
  // text-transform: capitalize;
  // white-space: nowrap;

  &--transparent {
    background-color: unset;
  }

  &--1 {
    background-color: map-get($e-blue, 250);
    // font-weight: unset;
    // letter-spacing: unset;
    // text-transform: unset;
    padding: 8px;
  }

  &--2 {
    background-color: map-get($e-blue, 250);
    font-size: 12px;
    // font-weight: bold;
    // letter-spacing: unset;
    // text-transform: unset;
    padding: 4px;
  }

  &--3 {
    background-color: map-get($e-blue, 250);
  }
}

.e-tag {
  block-size: fit-content;
  border-radius: 4px;
  font-size: 12px;
  padding: 2px 6px;
  width: fit-content;

  &--matamber600 {
    background-color: mat-color($mat-amber, 600);
    color: $e-white;
  }

  &--matgrey500 {
    background-color: mat-color($mat-grey, 500);
    color: $e-white;
  }

  &--matpurple400 {
    background-color: mat-color($mat-purple, 400);
    color: $e-white;
  }

  &--matblue500 {
    background-color: mat-color($mat-blue, 500);
    color: $e-white;
  }

  &--matcyan500 {
    background-color: mat-color($mat-cyan, 500);
    color: $e-white;
  }

  &--matgreen500 {
    background-color: mat-color($mat-green, 500);
    color: $e-white;
  }

  &--attended {
    align-items: center;
    // background-color: mat-color($mat-lime, 100);
    border-radius: unset;
    border-right: 2px solid mat-color($mat-light-green, 800);
    color: mat-color($mat-light-green, 800);
    display: flex;
    font-weight: bold;
    justify-content: center;
    padding: 4px;
    text-align: right;
  }

  &--no-show {
    align-items: center;
    // background-color: #ffe0b2;
    border-radius: unset;
    border-right: 2px solid #ff9100;
    color: #ff9100;
    display: flex;
    font-weight: bold;
    justify-content: center;
    padding: 4px;
    text-align: right;
  }

  &--canceled {
    align-items: center;
    // background-color: mat-color($mat-grey, 300);
    border-radius: unset;
    border-right: 2px solid mat-color($mat-grey, 700);
    color: mat-color($mat-grey, 700);
    display: flex;
    font-weight: bold;
    justify-content: center;
    padding: 4px;
    text-align: right;
  }

  &--pastdue {
    background-color: mat-color($mat-red, A400);
    border-radius: 4px;
    color: $e-white;
    font-size: 10px;
    text-transform: uppercase;
  }

  &--premium {
    background-color: mat-color($mat-pink, 500);
    color: $e-white;
    font-size: 8px;
    padding: 2px 4px;
    text-transform: uppercase;
  }

  &--standard {
    background: $e-white;
    border: 1px solid map-get($e-blue, 700);
    color: map-get($e-blue, 700);
    font-size: 8px;
    padding: 2px 4px;
    text-transform: uppercase;
  }
}

table.e-table {
  border: 1px solid mat-color($mat-grey, 400);
  border-collapse: collapse;
  width: 100%;

  th,
  td {
    border: 1px solid mat-color($mat-grey, 400);
    border-collapse: collapse;
    padding: 8px;
    vertical-align: top;
  }
}

.e-bg {
  &--eblue100 {
    background-color: map-get($e-blue, 100);
  }

  &--eblue200 {
    background-color: map-get($e-blue, 200);
  }

  &--eblue250 {
    background-color: map-get($e-blue, 250);
  }

  &--ewhite {
    background-color: $e-white;
  }

  &--matblue200 {
    background-color: mat-color($mat-blue, 200);
  }
}

.e-txt {
  &--placeholder {
    color: mat-color($mat-grey, 500);
    font-size: 12px;
    font-style: italic;
  }

  &--primary {
    color: mat-color($e-mp-theme1-primary-mat-palette) !important;
  }

  &--accent {
    color: mat-color($e-mp-theme1-accent-mat-palette) !important;
  }

  &--error {
    color: mat-color($mat-red, A400);
  }

  &--matlightgreen800 {
    color: mat-color($mat-light-green, 800);
  }

  &--matgreen500 {
    color: mat-color($mat-green, 500);
  }

  &--matamber600 {
    color: mat-color($mat-amber, 600);
  }

  &--matred300 {
    color: mat-color($mat-red, 300);
  }

  &--matred600 {
    color: mat-color($mat-red, 600);
  }

  &--matgrey500 {
    color: mat-color($mat-grey, 500);
  }

  &--matgrey600 {
    color: mat-color($mat-grey, 600);
  }

  &--matgrey700 {
    color: mat-color($mat-grey, 700);
  }

  &--eblue500 {
    color: map-get($e-blue, 500);
  }

  &--eblue700 {
    color: map-get($e-blue, 700) !important;
  }

  &--ewhite {
    color: $e-white;
  }
}

.e-brd {
  border-color: map-get($e-blue, 300);
  border-style: solid;
  border-width: 0;

  &--all {
    border-width: 1px;
  }

  &--left {
    border-left-width: 1px;
  }

  &--right {
    border-right-width: 1px;
  }

  &--top {
    border-top-width: 1px;
  }

  &--bottom {
    border-bottom-width: 1px;
  }

  &--round1 {
    border-radius: 4px;
  }

  &--matblue500 {
    border-color: mat-color($mat-blue, 500);
  }

  &--eblue400 {
    border-color: map-get($e-blue, 400);
  }
}

// --------------------------------------------------

.e-bg-eblue250 {
  background-color: map-get($e-blue, 250);
}

.e-txt-primary {
  color: mat-color($e-mp-theme1-primary-mat-palette) !important;
}

.e-txt-eblue700 {
  color: map-get($e-blue, 700);
}

.e-txt-matgrey500 {
  color: mat-color($mat-grey, 500);
}

.e-txt-mat-grey600 {
  color: mat-color($mat-grey, 600);
}

.e-txt-mat-grey700 {
  color: mat-color($mat-grey, 700);
}

.e-txt-matgrey800 {
  color: mat-color($mat-grey, 800);
}

.e-brd-btm-matgrey400 {
  border-bottom: 1px solid mat-color($mat-grey, 400);
}

// .mat-progress-spinner circle,
// .mat-spinner circle {
//   stroke: mat-color($e-mp-theme1-accent-mat-palette, 700);
// }